View Issue Details

IDProjectCategoryView StatusLast Update
0001558PluginsAdvanced comparepublic2013-01-15 12:52
ReporterccaidAssigned To2useven10 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0 
Target VersionFixed in Version3.0 
Summary0001558: поддержка очень-длинных-путей Advanced Compare
Descriptionв Far и многие плагины давно уже введена поддержка очень-длинных-путей, а Advanced Compare пока обойден в этом плане.
хотелось бы, чтобы поддержка все же была введена.
TagsNo tags attached.

Relationships

related to 0002319 closed2useven10 Мусор на экране при сравнении файлов с длинными именами 

Activities

samlyukov

2011-08-07 08:31

reporter   bugnote:0007408

используйте AdvCmp2 :-)

Belov_SL

2012-02-26 13:43

reporter   bugnote:0008645

Last edited: 2012-02-26 18:35

View 2 revisions

Подтверждаю проблему при длине пути более 255 символов.

Считаю, что исправить эту проблему надо, т.к. в стандартном дистрибутиве Far Manager должен быть простой и корректно работающий плагин для сравнения. К тому же AdvCmp 2 жутко глючной.

Вероятно исправить это проблему не сложно - может просто надо увеличить размеры строк для хранения путей?

samlyukov

2012-03-09 08:21

reporter   bugnote:0008719

>К тому же AdvCmp 2 жутко глючной.
а можно рассказать что да как, тут http://forum.farmanager.com/viewtopic.php?p=92288#p92288

2useven10

2013-01-14 00:24

developer   bugnote:0009984

build 50

2useven10

2013-01-15 12:52

developer   bugnote:0009998

plugin build 51

Issue History

Date Modified Username Field Change
2010-10-26 19:54 ccaid New Issue
2011-08-07 08:31 samlyukov Note Added: 0007408
2012-02-26 13:43 Belov_SL Note Added: 0008645
2012-02-26 18:35 Belov_SL Note Edited: 0008645 View Revisions
2012-03-09 08:21 samlyukov Note Added: 0008719
2013-01-14 00:24 2useven10 Note Added: 0009984
2013-01-14 00:24 2useven10 Assigned To => 2useven10
2013-01-14 00:24 2useven10 Status new => feedback
2013-01-15 12:52 2useven10 Note Added: 0009998
2013-01-15 12:52 2useven10 Status feedback => closed
2013-01-15 12:52 2useven10 Resolution open => fixed
2013-01-15 12:52 2useven10 Fixed in Version => 3.0
2013-03-02 09:34 2useven10 Relationship added related to 0002319